//juegos de roll  a viernes 13 de diciembre de 1996
#include<stdio.h>
#include<conio.h>
#include<graphics.h>
#include<dos.h>
#include<stdlib.h>

void presentacion();
int arbol1();
int arbol2();
int arbol3();
int arbol4();
int arbol5();
int arbol6();
int arbol7();
int arbol8();
int arbol9();
int arbol10();
int arbol11();
int arbol12();
int arbol13();
int arbol14();
int arbol15();
int arbol16();
int arbol17();
int arbol18();
int arbol19();
int arbol20();
int arbol21();
int arbol22();
int arbol23();
int arbol24();
int arbol25();
int arbol26();
int arbol27();
int arbol28();
void fin();

















void InicializaGraficos(void)
{
 int gdriver=DETECT,gmode,errorcode;
     initgraph(&gdriver,&gmode,"");
     errorcode=graphresult();
     if(errorcode!=grOk)
     {
      printf("error de graficos: %s\n",grapherrormsg(errorcode));
      printf("presione una tecla");
      exit(1);
     }
};


int main()
{
char a;

     //comienzo del main
     presentacion();
     getch();

     //inicializacion de graficos
     InicializaGraficos();

exit = 0;
ACCION = FuncionQueMuestraCOMENTARIOS( EdJ );
do{
     switch( Estado_Del_Juego )
     {
      case 1:
             op1 -> EdJ = 2; else op2 ->3
           2

           3
             op1 -> EdJ = 1
           4
           5
           6
           7
     }
     ACCION = FuncionQueMuestraCOMENTARIOS( EdJ );

}while( !exit );


//aventura
a=arbol1();
if(a=='1') arbol2();
else fin();
if(a=='1') arbol3();
else fin();
if(a=='1') arbol4();
else fin();
if(a=='1') arbol5();
else fin();
if(a=='1') arbol6();
else fin();
if(a=='1') arbol7();
else fin();
if(a=='1') arbol8();
else fin();
if(a=='1') arbol9();
else fin();
if(a=='1') arbol10();
else fin();
if(a=='1') arbol11();
else fin();
if(a=='1') arbol12();
else fin();
if(a=='1') arbol13();
else fin();
if(a=='1') arbol14();
else fin();
if(a=='1') arbol15();
else fin();
if(a=='1') arbol16();
else fin();
if(a=='1') arbol17();
else fin();
if(a=='1') arbol18();
else fin();
if(a=='1') arbol19();
else fin();

//cierre de graficos
getch();
closegraph();
return 0;
}

void presentacion()
{	//presentacion
	char nombre[1][6]={"OSCAR"};
	char nombre1[1][10]={"PRESENTA:"};
	int a=5,b=1,c=42,turno=0;

     clrscr();
     textbackground(0);

	textcolor(4);
	while(a>0)
	{
	a--;
	while(b<c)
		{
		b++;
		gotoxy(b,5);
		if(turno==0)
			{
			gotoxy(b,5);
			cprintf(" %c",nombre[0][a]);
			}
		if(turno==1)
			{
			gotoxy(b,6);
			cprintf(" %c",nombre1[0][a]);
			}
		delay(20);
		}
	if((a==0)&&(turno!=1))
		{
		textcolor(5);
		a=9;
		turno=1;
		c=46;
		}
	b=9;
	c--;
	}
	textcolor(10);
	gotoxy(25,13);
	cprintf("EL HOMBRE QUE BUSCABA SU DESTINO");
	gotoxy(26,20);
	printf("PULSA UNA TECLA PARA CONTINUAR");
	getch();
	delay(500);
}


int arbol1()
{
char a;
//clrscr();
setbkcolor(0);
printf("\nLa hitoria comienza en el desierto de GRAMUR tienes bastante calor");
printf("\ny ves a tu izquierda un oasis y a tu derecha casas,tu diras donde");
printf("\n1.-izquierda");
printf("\n2.-derecha");
a=getch();
circle(320,200,100);
return a;
}
int arbol2()
{
int a;
//clrscr();
printf("\nahora has entrado en el pueblo y ves a un viejo bastante raro");
printf("\nquieres hablar con el o matarle");
printf("\n1.-hablar");
printf("\n2.-matar");
a=getch();
return a;
}
int arbol3()
{
}
int arbol4()
{
}
int arbol5()
{
}
int arbol6()
{
}
int arbol7()
{}
int arbol8()
{}
int arbol9()
{}
int arbol10()
{}
int arbol11()
{}
int arbol12()
{}
int arbol13()
{}
int arbol14()
{}
int arbol15()
{}
int arbol16()
{}
int arbol17()
{}
int arbol18()
{}
int arbol19()
{}
int arbol20()
{}
int arbol21()
{}
int arbol22()
{}
int arbol23()
{}
int arbol24()
{}
int arbol25()
{}
int arbol26()
{}
int arbol27()
{}
int arbol28()
{}
void fin()
{
clrscr();
printf("adios");
}
